/* reset https://www.joshwcomeau.com/css/custom-css-reset/ */
*, *::before, *::after {
    box-sizing: border-box;
    font-family: inherit;
}
*:not(dialog) {
    margin: 0;
}
@media (prefers-reduced-motion: no-preference) {
    html {
        interpolate-size: allow-keywords;
    }
}
body {
    line-height: 1.5;
    -webkit-font-smoothing: antialiased;
}
img, picture, video, canvas, svg {
    display: inline-block;
}
input, button, textarea, select {
    font: inherit;
}
p, h1, h2, h3, h4, h5, h6 {
    overflow-wrap: break-word;
}
p {
    text-wrap: pretty;
    word-break: break-word;
}
pre {
    white-space: pre-wrap;
    word-break: break-word;
}
h1, h2, h3, h4, h5, h6 {
    text-wrap: balance;
    word-break: break-word;
}
#root, #__isolated {
    isolation: isolate;
}


html {background:#EEE; color:black; font-family:Arial, Helvetica, sans-serif; line-height:1.5em;}
body {margin:.5em; position:relative;}
h1,h2,h3,h4,h5,h6,th,fieldset>legend {font-weight:bold;margin-top:.5em; margin-bottom:.5em;}
h1 {font-size: 2em;}
h2 {font-size: 1.7em;}
h3 {font-size: 1.5em;}
h4 {font-size: 1.3em;}
h5 {font-size: 1.15em;}
h6 {font-size: 1em;}

th {text-align: center; background:#CCC;}
pre,code {white-space:pre-wrap; font-family:'Courier New', Courier, monospace;}
input,button,select {display:inline-block; border:1px solid #888; border-radius:0.1em; background:#CCC;padding-left:.5em;}

aside.left,aside.right,section,header {width:10%;position:absolute; top:0; left:0;}
aside.right {right:0;}
section, header {position:relative; width:80%;left:10%;}
section {box-shadow: .1em .1em .5em RGBA(0,0,0,.5); padding:.25em .5em .25em .75em;margin-top:1em;}
nav ul {list-style: none;}
nav ul.menu-h>li {display:inline-block; margin:0 .5em 0 .5em;}
nav ul a {display:block; padding:0 .5em 0 .5em; background:#FFF; border:1px solid #888; border-radius:.1em;}
.a-c {text-align:center;}
.a-r {text-align:right;}
.a-l {text-align:left;}
.p-a {position:absolute;}
.p-r {position:relative;}
.p-f {position:fixed;}
.o-h {overflow:hidden;}
.o-s {overflow:scroll;}
.o-x {overflow-x:scroll; overflow-y:hidden;}
.o-y {overflow-y:scroll; overflow-x:hidden;}
.b-c {box-sizing:content-box;}
.b-b {box-sizing:border-box;}
.bs {box-shadow: .2em .2em 2em RGBA(0,0,0,.5);}

